<?php

/*
 +--------------------------------------------------------------------+
 | CiviCRM version 2.0                                                |
 +--------------------------------------------------------------------+
 | Copyright CiviCRM LLC (c) 2004-2007                                |
 +--------------------------------------------------------------------+
 | This file is a part of CiviCRM.                                    |
 |                                                                    |
 | CiviCRM is free software; you can copy, modify, and distribute it  |
 | under the terms of the GNU Affero General Public License           |
 | Version 3, 19 November 2007.                                       |
 |                                                                    |
 | CiviCRM is distributed in the hope that it will be useful, but     |
 | WITHOUT ANY WARRANTY; without even the implied warranty of         |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.               |
 | See the GNU Affero General Public License for more details.        |
 |                                                                    |
 | You should have received a copy of the GNU Affero General Public   |
 | License along with this program; if not, contact CiviCRM LLC       |
 | at info[AT]civicrm[DOT]org. If you have questions about the        |
 | GNU Affero General Public License or the licensing of CiviCRM,     |
 | see the CiviCRM license FAQ at http://civicrm.org/licensing        |
 +--------------------------------------------------------------------+
*/

/**
 *
 * @package CRM
 * @copyright CiviCRM LLC (c) 2004-2007
 * $Id$
 *
 */

require_once 'CRM/Contact/Page/View.php';

class CRM_Contact_Page_View_Delete extends CRM_Contact_Page_View {
    

    /**
     * This function is called when action is browse
     * 
     * return null
     * @access public
     */
    function browse( ) {
        $controller =& new CRM_Core_Controller_Simple( 'CRM_Contact_Form_Delete', ts('Contact Delete'),$this->_action);
        $controller->setEmbedded( true );
        
        // set the userContext stack
        $session =& CRM_Core_Session::singleton();
        $config  =& CRM_Core_Config::singleton();
        $session->pushUserContext( CRM_Utils_System::url('civicrm/contact/view', 'action=browse' ) );

        $controller->reset( );
        $controller->set( 'contactId'  , $this->_contactId );

        $controller->process( );
        $controller->run( );
    }




   /**
     * This function is the main function that is called when the page loads, it decides the which action has to be taken for the page.
     * 
     * return null
     * @access public
     */
    function run( ) {
        $this->preProcess( );
        $this->browse( );
        return parent::run( );
    }

}

?>
